org.apache.cxf.endpoint

## Class ManagedEndpoint

- java.lang.Object
- - org.apache.cxf.endpoint.ManagedEndpoint

- All Implemented Interfaces:
    ServerLifeCycleListener, ManagedComponent

      @ManagedResource(componentName="Endpoint",
                       description="Responsible for managing server instances.")
      public class ManagedEndpoint
      extends Object
      implements ManagedComponent, ServerLifeCycleListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bus` | `bus`
    `protected Endpoint` | `endpoint`
    `static String` | `ENDPOINT_NAME`
    `static String` | `INSTANCE_ID`
    `protected Server` | `server`
    `static String` | `SERVICE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedEndpoint(Bus b, Endpoint ep, Server s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `String` | `getAddress()`
    `ObjectName` | `getObjectName()`
    `String` | `getState()`
    `String` | `getTransportId()`
    `void` | `start()`
    `void` | `startServer(Server s)`
    `void` | `stop()`
    `void` | `stopServer(Server s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENDPOINT_NAME

          public static final String ENDPOINT_NAME

      See Also:
        Constant Field Values

    - #### SERVICE_NAME

          public static final String SERVICE_NAME

      See Also:
        Constant Field Values

    - #### INSTANCE_ID

          public static final String INSTANCE_ID

      See Also:
        Constant Field Values

    - #### bus

          protected final Bus bus

    - #### endpoint

          protected final Endpoint endpoint

    - #### server

          protected final Server server

  - ### Constructor Detail

    - #### ManagedEndpoint

          public ManagedEndpoint(Bus b,
                                 Endpoint ep,
                                 Server s)

  - ### Method Detail

    - #### start

          @ManagedOperation
          public void start()

    - #### stop

          @ManagedOperation
          public void stop()

    - #### destroy

          @ManagedOperation
          public void destroy()

    - #### getAddress

          @ManagedAttribute(description="Address Attribute",
                            currencyTimeLimit=60)
          public String getAddress()

    - #### getTransportId

          @ManagedAttribute(description="TransportId Attribute",
                            currencyTimeLimit=60)
          public String getTransportId()

    - #### getState

          @ManagedAttribute(description="Server State")
          public String getState()

    - #### getObjectName

          public ObjectName getObjectName()
                                   throws JMException

      Specified by:
        `getObjectName` in interface `ManagedComponent`
      Throws:
        `JMException`

    - #### startServer

          public void startServer(Server s)

      Specified by:
        `startServer` in interface `ServerLifeCycleListener`

    - #### stopServer

          public void stopServer(Server s)

      Specified by:
        `stopServer` in interface `ServerLifeCycleListener`

Apache CXF